REST API

Mail logs

Paginated delivery rows for the authenticated user.

GET/api/v1/mail-logs

List mail logs

Paginated delivery rows. Query: page (default 1), page_size (default 20, max 100), campaign_id, account_id, campaign_run_id, status (pending | sending | sent | failed | deferred).

Authentication: Authorization: Bearer with your Mailofly API key

Query parameters

FieldType
pagenumber
page_sizenumber
campaign_iduuid?
account_iduuid?
campaign_run_iduuid?
statusstring?

Returns

FieldType
dataMailLogRow[]
pagenumber
page_sizenumber
totalnumber
cURL
curl -sS -X GET "https://www.mailofly.com/api/v1/mail-logs?page=1&page_size=20&status=sent" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here"

Requests use https://www.mailofly.com

Response

Try it sends the request through this app to https://www.mailofly.com (no browser CORS issues).

Click Try it to run the example against the live API.

Example responses

{
  "data": [],
  "page": 1,
  "page_size": 20,
  "total": 0
}
GET/api/v1/mail-logs